#include<bits/stdc++.h>
using namespace std;
int xor_d(int n){
	int rez = 0;
	for(int i=1;i<=n;i++){
		if(n%i==0){
			rez = rez^i;
		}
	}
	return rez;
}
int main(){
	int n;
	cin>>n;
	int k;
	cin>>k;
	int d[k];
	for(int i=0;i<k;i++){
		cin>>d[i];
	}
	for(int i=0;i<k;i++){
		cout<<xor_d(d[i])<<" ";
	}
}